Package org.eclipse.rdf4j.sparqlbuilder.core.query

## Class TargetedGraphManagementQuery<T extends TargetedGraphManagementQuery<T>>

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.TargetedGraphManagementQuery<T>

- All Implemented Interfaces:
    `QueryElement`
  Direct Known Subclasses:
    `ClearQuery`, `DropQuery`

      public abstract class TargetedGraphManagementQuery<T extends TargetedGraphManagementQuery<T>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetedGraphManagementQuery()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `all()` | Target all graphs
    `protected void` | `appendSilent​(StringBuilder builder)` |
    `T` | `def()` | Target the default graph
    `protected abstract String` | `getQueryActionString()` |
    `String` | `getQueryString()` |
    `T` | `graph​(IRI graph)` | Specify which graph to target
    `T` | `graph​(Iri graph)` | Specify which graph to target
    `T` | `named()` | Target all named graphs
    `T` | `silent()` | Set the `SILENT` option to true on this query
    `T` | `silent​(boolean isSilent)` | Specify if the `SILENT` option should be on for this query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetedGraphManagementQuery

          public TargetedGraphManagementQuery()

  - ### Method Detail

    - #### graph

          public T graph​(Iri graph)

      Specify which graph to target
      Parameters:
        `graph` - the IRI identifying the graph to target
      Returns:
        this query instance

    - #### graph

          public T graph​(IRI graph)

      Specify which graph to target
      Parameters:
        `graph` - the IRI identifying the graph to target
      Returns:
        this query instance

    - #### def

          public T def()

      Target the default graph
      Returns:
        this query instance

    - #### named

          public T named()

      Target all named graphs
      Returns:
        this query instance

    - #### all

          public T all()

      Target all graphs
      Returns:
        this query instance

    - #### getQueryActionString

          protected abstract String getQueryActionString()

    - #### getQueryString

          public String getQueryString()

      Returns:
        the String representing the SPARQL syntax of this element

    - #### silent

          public T silent()

      Set the `SILENT` option to true on this query
      Returns:
        this query instance

    - #### silent

          public T silent​(boolean isSilent)

      Specify if the `SILENT` option should be on for this query
      Parameters:
        `isSilent` - if this should be a SILENT operation or not
      Returns:
        this query instance

    - #### appendSilent

          protected void appendSilent​(StringBuilder builder)